<template>
  <div class="bg-black-10 pb-30px lg:pb-100px">
    <div
      class="container grid w-4/5 grid-cols-1 mx-auto space-x-5 md:grid-cols-2"
    >
      <div class="flex items-center justify-center">
        <img
          :src="require('~/assets/images/how_to_use_artwork_1.png')"
          class="
            md:justify-self-end
            justify-self-center
            lg:max-w-382px lg:max-h-423px
          "
        />
      </div>
      <div
        class="
          relative
          pt-100px
          max-w-480px
          justify-self-center
          md:justify-self-start
        "
      >
        <div class="text-2xl md:text-3xl font-700">
          {{ $t("brand_and_retail.title") }}
        </div>
        <div
          class="text-tiny md:text-base pt-18px pb-40px"
          v-html="$t('brand_and_retail.content')"
        />
        <div
          class="relative grid grid-cols-1 xl:grid-cols-2 justify-items-center"
        >
          <a href="https://calendly.com/" target="_blank" class="pb-32px z-1">
            <button
              class="
                p-16px
                w-218px
                shadow-lg
                rounded-500px
                bg-green-400
                focus:outline-none
              "
            >
              {{ $t("brand_and_retail.calendly_button") }}
            </button>
          </a>
          <nuxt-link to="/contact" class="z-1">
            <button
              class="
                p-16px
                w-218px
                shadow-md
                rounded-500px
                text-blue-300
                focus:outline-none
                border border-blue-300
              "
            >
              {{ $t("brand_and_retail.contact_us_button") }}
            </button>
          </nuxt-link>
        </div>
        <img
          :src="require('~/assets/images/how_to_use_artwork_2.png')"
          width="435px"
          height="504px"
          class="absolute top-0"
          style="right: -50%"
        />
      </div>
    </div>
    <div class="text-2xl text-center font-600 pt-97px pb-60px text-black-300">
      • • •
    </div>
    <div class="green-gradient-primary">
      <div
        class="
          container
          grid
          items-center
          justify-center
          w-4/5
          grid-cols-1
          mx-auto
          text-white
          lg:grid-cols-3
          py-62px
          lg:gap-x-99px
          gap-y-24px
        "
      >
        <img
          :src="require('~/assets/images/how_to_use_artwork_3.png')"
          class="col-span-2 justify-items-center justify-self-end"
        />
        <div
          class="justify-items-center justify-self-center lg:justify-self-start"
        >
          <div class="text-2xl md:text-3xl font-700">
            {{ $t("customer.title") }}
          </div>
          <div
            v-for="(step, index) in $t('customer.steps')"
            :key="index"
            class="text-tiny md:text-base"
          >
            • {{ step.description }}
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "brand_and_retail": {
      "title": "For brand and Retail",
      "content": "Contact us for more offers and promotions.<br />(Book your appointment with us in our calendar down below.)",
      "calendly_button": "Calendar",
      "contact_us_button": "Contact us"
    },
    "customer": {
      "title": "For loyalty customer",
      "steps": [
        {
          "no": "01",
          "description": "Buy promotional product at POS",
          "class": "flex justify-start mb-40px"
        },
        {
          "no": "02",
          "description": "Scan Scanhub’s QRcode",
          "class": "flex justify-center mb-40px"
        },
        {
          "no": "03",
          "description": "Scan receipt to Scanhub",
          "class": "flex justify-start mb-40px"
        },
        {
          "no": "04",
          "description": "Get your reward!",
          "class": "flex justify-end"
        }
      ]
    }
  },
  "th": {}
}
</i18n>

<script>
export default {}
</script>

<style></style>
